Who listened to or downloaded recordings, who exported, who changed a flow (owner)
GET
/v1/workspace/access-audit
const url = 'https://api.vocapable.com/v1/workspace/access-audit?kind=all';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vocapable.com/v1/workspace/access-audit?kind=all' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceAccessAudit
object
data
required
Data
Array<object>
WorkspaceAccessAuditEntryobject
id
required
Id
string
at
required
At
string format: date-time
kind
required
Kind
string
by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
by_staff
required
By Staff
boolean
label
required
Label
string
resource_type
required
Resource Type
string
Example
{ "data": [ { "kind": "listened" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}